#ifndef _1Cv8Operations_EditFile_h_
#define _1Cv8Operations_EditFile_h_

#include <CtrlLib/CtrlLib.h>

using namespace Upp;
class TFileSelBase:public EditString{
	public:
		typedef TFileSelBase CLASSNAME;
		TFileSelBase(){
			AddFrame(btn);
			btn.SetImage(CtrlImg::smallright()).NoWantFocus();
			btn <<= THISBACK(SelectFile);
		}
	protected:
		FrameRight<Button> btn;
		virtual void SelectFile(){
			FileSel fs;
			fs.Set(GetData());
			fs.Type("All files (*)", "*");
			if(fs.ExecuteOpen())
				SetData(fs.Get());
		}
};

class TFileSelOpen:public TFileSelBase{
	public:
		typedef TFileSelOpen CLASSNAME;
	protected:
		virtual void SelectFile(){
			FileSel fs;
			fs.Set(GetData());
			fs.Type("1Cv8 files (*.cf, *.epf, *.dt)", "*.cf, *.epf, *.dt");
			fs.Type("1Cv8 configuration files (*.cf)", "*.cf");
			fs.Type("1Cv8 external processing files (*.epf)", "*.epf");
			fs.Type("1Cv8 dumped DB (*.dt)", "*.dt");
			fs.Type("All files (*)", "*");
			if(fs.ExecuteOpen())
				SetData(fs.Get());
		}
};

class TFileSelSave:public TFileSelBase{
	public:
		typedef TFileSelSave CLASSNAME;
	protected:
		virtual void SelectFile(){
			FileSel fs;
			fs.Set(GetData());
			fs.Type("1Cv8 files (*.cf, *.epf, *.dt)", "*.cf, *.epf, *.dt");
			fs.Type("1Cv8 configuration files (*.cf)", "*.cf");
			fs.Type("1Cv8 external processing files (*.epf)", "*.epf");
			fs.Type("1Cv8 dumped DB (*.dt)", "*.dt");
			fs.Type("All files (*)", "*");
			if(fs.ExecuteSaveAs())
				SetData(fs.Get());
		}
};

#endif
